/**
 * Copyright © VNG Realisatie 2024
 * Licensed under the EUPL
 */

@use "../theme";

.audit-logs-page {
    &__no-results {
        color: theme.$colorTextLabel;
        font-size: theme.$fontSizeSmall;
        margin-bottom: 0;
        text-align: center;
        height: calc(100vh - 20rem);
        line-height: calc(100vh - 20rem);
    }

    &__log {
        display: flex;

        &__icon__container {
            flex: 0;
            position: relative;

            &:before {
                content: '';
                position: absolute;
                display: block;
                background: theme.$colorTextLabel;
                width: 1px;
                top: 32px;
                left: 9.5px;
                bottom: 8px;
            }
        }

        &__icon {
            margin-right: theme.$spacing05;
            color: theme.$colorTextLabel;
        }

        &__description {
            flex: 1;
            color: theme.$colorPaletteGray400;
            padding-bottom: theme.$spacing04;

            strong {
                color: theme.$colorText;
                font-weight: 600;
            }
        }
    }
}
